import { Meta, Typeset, Story, Canvas } from '@storybook/blocks';
import { width } from './util/decorator';
import { cuiDemo } from './util/demo';
import { demoKbd1 } from './util/typography';
import * as TypographyKbdStories from './Typography-kbd.stories';

<Meta of={TypographyKbdStories} />

# KBD

> **IMPORTANT:** Due to compatibility issues, all implicit CSS rules are only applied within containers with the `.cui-typo` class attached.

Keyoard buttons should be wrapped in `<kbd></kbd>`.

Keys that use a symbol should use the `.symbol` class.

<Canvas withSource="open">
  <Story of={TypographyKbdStories.CodeInline} />
</Canvas>
